# $Revision: 1.2 $, $Date: 2008/07/20 11:49:20 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	LongString
Summary:	Test::LongString - tests strings for equality, with more helpful failures
Summary(pl.UTF-8):	Test::LongString - sprawdzanie łańcuchów pod kątem identyczności
Name:		perl-Test-LongString
Version:	0.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	860635425e63c5f15261418f25cf106f
URL:		http://search.cpan.org/dist/Test-LongString/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tests strings for equality, with more helpful failures.

%description -l pl.UTF-8
Sprawdzanie łańcuchów pod kątem identyczności z bardziej pomocnymi
niepowodzeniami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-LongString.spec,v $
Revision 1.2  2008/07/20 11:49:20  qboosh
- pl, generic URL

Revision 1.1  2008/02/26 13:31:08  arekm
- initial
